Imported Upstream version 2.50.2
[platform/upstream/glib.git] / gio / win32 / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # GLIB - Library of useful C routines
18
19
20
21
22 VPATH = @srcdir@
23 am__is_gnu_make = { \
24   if test -z '$(MAKELEVEL)'; then \
25     false; \
26   elif test -n '$(MAKE_HOST)'; then \
27     true; \
28   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
29     true; \
30   else \
31     false; \
32   fi; \
33 }
34 am__make_running_with_option = \
35   case $${target_option-} in \
36       ?) ;; \
37       *) echo "am__make_running_with_option: internal error: invalid" \
38               "target option '$${target_option-}' specified" >&2; \
39          exit 1;; \
40   esac; \
41   has_opt=no; \
42   sane_makeflags=$$MAKEFLAGS; \
43   if $(am__is_gnu_make); then \
44     sane_makeflags=$$MFLAGS; \
45   else \
46     case $$MAKEFLAGS in \
47       *\\[\ \   ]*) \
48         bs=\\; \
49         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
50           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
51     esac; \
52   fi; \
53   skip_next=no; \
54   strip_trailopt () \
55   { \
56     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
57   }; \
58   for flg in $$sane_makeflags; do \
59     test $$skip_next = yes && { skip_next=no; continue; }; \
60     case $$flg in \
61       *=*|--*) continue;; \
62         -*I) strip_trailopt 'I'; skip_next=yes;; \
63       -*I?*) strip_trailopt 'I';; \
64         -*O) strip_trailopt 'O'; skip_next=yes;; \
65       -*O?*) strip_trailopt 'O';; \
66         -*l) strip_trailopt 'l'; skip_next=yes;; \
67       -*l?*) strip_trailopt 'l';; \
68       -[dEDm]) skip_next=yes;; \
69       -[JT]) skip_next=yes;; \
70     esac; \
71     case $$flg in \
72       *$$target_option*) has_opt=yes; break;; \
73     esac; \
74   done; \
75   test $$has_opt = yes
76 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
77 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
78 pkgdatadir = $(datadir)/@PACKAGE@
79 pkgincludedir = $(includedir)/@PACKAGE@
80 pkglibdir = $(libdir)/@PACKAGE@
81 pkglibexecdir = $(libexecdir)/@PACKAGE@
82 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
83 install_sh_DATA = $(install_sh) -c -m 644
84 install_sh_PROGRAM = $(install_sh) -c
85 install_sh_SCRIPT = $(install_sh) -c
86 INSTALL_HEADER = $(INSTALL_DATA)
87 transform = $(program_transform_name)
88 NORMAL_INSTALL = :
89 PRE_INSTALL = :
90 POST_INSTALL = :
91 NORMAL_UNINSTALL = :
92 PRE_UNINSTALL = :
93 POST_UNINSTALL = :
94 build_triplet = @build@
95 host_triplet = @host@
96 installed_test_PROGRAMS = $(am__EXEEXT_1)
97 noinst_PROGRAMS = $(am__EXEEXT_3)
98 check_PROGRAMS = $(am__EXEEXT_2)
99 TESTS = $(am__EXEEXT_1)
100 @OS_WIN32_TRUE@am__append_1 = $(test_programs) $(test_scripts) $(uninstalled_test_programs) $(uninstalled_test_scripts) \
101 @OS_WIN32_TRUE@         $(dist_test_scripts) $(dist_uninstalled_test_scripts)
102
103 @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__append_2 = $(all_test_ltlibs)
104 @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__append_3 = $(all_test_programs)
105 @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__append_4 = $(all_test_scripts)
106 @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__append_5 = $(all_test_data)
107 @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__append_6 = $(all_test_ltlibs)
108 @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__append_7 = $(all_test_programs)
109 @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__append_8 = $(all_test_scripts)
110 @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__append_9 = $(all_test_data)
111 @ENABLE_INSTALLED_TESTS_TRUE@am__append_10 = $(test_programs) $(installed_test_programs) \
112 @ENABLE_INSTALLED_TESTS_TRUE@                          $(test_extra_programs) $(installed_test_extra_programs)
113
114 @ENABLE_INSTALLED_TESTS_TRUE@am__append_11 = $(test_scripts) \
115 @ENABLE_INSTALLED_TESTS_TRUE@   $(installed_test_scripts) \
116 @ENABLE_INSTALLED_TESTS_TRUE@   $(test_extra_scripts) \
117 @ENABLE_INSTALLED_TESTS_TRUE@   $(test_installed_extra_scripts) \
118 @ENABLE_INSTALLED_TESTS_TRUE@   $(dist_test_scripts) \
119 @ENABLE_INSTALLED_TESTS_TRUE@   $(dist_test_extra_scripts) \
120 @ENABLE_INSTALLED_TESTS_TRUE@   $(dist_installed_test_scripts) \
121 @ENABLE_INSTALLED_TESTS_TRUE@   $(dist_installed_test_extra_scripts)
122 @ENABLE_INSTALLED_TESTS_TRUE@am__append_12 = $(test_data) \
123 @ENABLE_INSTALLED_TESTS_TRUE@   $(installed_test_data) \
124 @ENABLE_INSTALLED_TESTS_TRUE@   $(dist_test_data) \
125 @ENABLE_INSTALLED_TESTS_TRUE@   $(dist_installed_test_data)
126 @ENABLE_INSTALLED_TESTS_TRUE@am__append_13 = $(test_ltlibraries) $(installed_test_ltlibraries)
127 @ENABLE_INSTALLED_TESTS_TRUE@am__append_14 = $(installed_test_meta_DATA)
128 subdir = gio/win32
129 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
130 am__aclocal_m4_deps = $(top_srcdir)/m4macros/attributes.m4 \
131         $(top_srcdir)/m4macros/glibtests.m4 \
132         $(top_srcdir)/m4macros/gtk-doc.m4 \
133         $(top_srcdir)/m4macros/libtool.m4 \
134         $(top_srcdir)/m4macros/ltoptions.m4 \
135         $(top_srcdir)/m4macros/ltsugar.m4 \
136         $(top_srcdir)/m4macros/ltversion.m4 \
137         $(top_srcdir)/m4macros/lt~obsolete.m4 \
138         $(top_srcdir)/acinclude.m4 $(top_srcdir)/acglib.m4 \
139         $(top_srcdir)/glib/libcharset/codeset.m4 \
140         $(top_srcdir)/glib/libcharset/glibc21.m4 \
141         $(top_srcdir)/m4macros/glib-gettext.m4 \
142         $(top_srcdir)/configure.ac
143 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
144         $(ACLOCAL_M4)
145 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
146 mkinstalldirs = $(install_sh) -d
147 CONFIG_HEADER = $(top_builddir)/config.h
148 CONFIG_CLEAN_FILES =
149 CONFIG_CLEAN_VPATH_FILES =
150 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151 am__vpath_adj = case $$p in \
152     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153     *) f=$$p;; \
154   esac;
155 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156 am__install_max = 40
157 am__nobase_strip_setup = \
158   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159 am__nobase_strip = \
160   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161 am__nobase_list = $(am__nobase_strip_setup); \
162   for p in $$list; do echo "$$p $$p"; done | \
163   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165     if (++n[$$2] == $(am__install_max)) \
166       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167     END { for (dir in files) print dir, files[dir] }'
168 am__base_list = \
169   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171 am__uninstall_files_from_dir = { \
172   test -z "$$files" \
173     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175          $(am__cd) "$$dir" && rm -f $$files; }; \
176   }
177 am__installdirs = "$(DESTDIR)$(installed_testdir)" \
178         "$(DESTDIR)$(installed_testdir)" \
179         "$(DESTDIR)$(installed_testdir)" \
180         "$(DESTDIR)$(installed_test_metadir)" \
181         "$(DESTDIR)$(installed_testdir)"
182 LTLIBRARIES = $(installed_test_LTLIBRARIES) $(noinst_LTLIBRARIES)
183 libgiowin32_la_LIBADD =
184 am__objects_1 =
185 am_libgiowin32_la_OBJECTS = libgiowin32_la-gwin32fsmonitorutils.lo \
186         libgiowin32_la-gwin32filemonitor.lo \
187         libgiowin32_la-gwinhttpvfs.lo libgiowin32_la-gwinhttpfile.lo \
188         libgiowin32_la-gwinhttpfileinputstream.lo \
189         libgiowin32_la-gwinhttpfileoutputstream.lo $(am__objects_1)
190 libgiowin32_la_OBJECTS = $(am_libgiowin32_la_OBJECTS)
191 AM_V_lt = $(am__v_lt_@AM_V@)
192 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
193 am__v_lt_0 = --silent
194 am__v_lt_1 = 
195 libgiowin32_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
196         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
197         $(libgiowin32_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o \
198         $@
199 am__EXEEXT_1 =
200 @ENABLE_ALWAYS_BUILD_TESTS_FALSE@am__EXEEXT_2 = $(am__EXEEXT_1)
201 @ENABLE_ALWAYS_BUILD_TESTS_TRUE@am__EXEEXT_3 = $(am__EXEEXT_1)
202 PROGRAMS = $(installed_test_PROGRAMS) $(noinst_PROGRAMS)
203 SCRIPTS = $(installed_test_SCRIPTS) $(noinst_SCRIPTS)
204 AM_V_P = $(am__v_P_@AM_V@)
205 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
206 am__v_P_0 = false
207 am__v_P_1 = :
208 AM_V_GEN = $(am__v_GEN_@AM_V@)
209 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
210 am__v_GEN_0 = @echo "  GEN     " $@;
211 am__v_GEN_1 = 
212 AM_V_at = $(am__v_at_@AM_V@)
213 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
214 am__v_at_0 = @
215 am__v_at_1 = 
216 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
217 depcomp = $(SHELL) $(top_srcdir)/depcomp
218 am__depfiles_maybe = depfiles
219 am__mv = mv -f
220 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
221         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
222 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
223         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
224         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
225         $(AM_CFLAGS) $(CFLAGS)
226 AM_V_CC = $(am__v_CC_@AM_V@)
227 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
228 am__v_CC_0 = @echo "  CC      " $@;
229 am__v_CC_1 = 
230 CCLD = $(CC)
231 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
232         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
233         $(AM_LDFLAGS) $(LDFLAGS) -o $@
234 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
235 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
236 am__v_CCLD_0 = @echo "  CCLD    " $@;
237 am__v_CCLD_1 = 
238 SOURCES = $(libgiowin32_la_SOURCES)
239 DIST_SOURCES = $(libgiowin32_la_SOURCES)
240 am__can_run_installinfo = \
241   case $$AM_UPDATE_INFO_DIR in \
242     n|no|NO) false;; \
243     *) (install-info --version) >/dev/null 2>&1;; \
244   esac
245 DATA = $(installed_test_meta_DATA) $(nobase_installed_test_DATA) \
246         $(noinst_DATA)
247 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
248 # Read a list of newline-separated strings from the standard input,
249 # and print each of them once, without duplicates.  Input order is
250 # *not* preserved.
251 am__uniquify_input = $(AWK) '\
252   BEGIN { nonempty = 0; } \
253   { items[$$0] = 1; nonempty = 1; } \
254   END { if (nonempty) { for (i in items) print i; }; } \
255 '
256 # Make sure the list of sources is unique.  This is necessary because,
257 # e.g., the same source file might be shared among _SOURCES variables
258 # for different programs/libraries.
259 am__define_uniq_tagged_files = \
260   list='$(am__tagged_files)'; \
261   unique=`for i in $$list; do \
262     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
263   done | $(am__uniquify_input)`
264 ETAGS = etags
265 CTAGS = ctags
266 am__tty_colors_dummy = \
267   mgn= red= grn= lgn= blu= brg= std=; \
268   am__color_tests=no
269 am__tty_colors = { \
270   $(am__tty_colors_dummy); \
271   if test "X$(AM_COLOR_TESTS)" = Xno; then \
272     am__color_tests=no; \
273   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
274     am__color_tests=yes; \
275   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
276     am__color_tests=yes; \
277   fi; \
278   if test $$am__color_tests = yes; then \
279     red='\e[0;31m'; \
280     grn='\e[0;32m'; \
281     lgn='\e[1;32m'; \
282     blu='\e[1;34m'; \
283     mgn='\e[0;35m'; \
284     brg='\e[1m'; \
285     std='\e[m'; \
286   fi; \
287 }
288 am__recheck_rx = ^[     ]*:recheck:[    ]*
289 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
290 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
291 # A command that, given a newline-separated list of test names on the
292 # standard input, print the name of the tests that are to be re-run
293 # upon "make recheck".
294 am__list_recheck_tests = $(AWK) '{ \
295   recheck = 1; \
296   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
297     { \
298       if (rc < 0) \
299         { \
300           if ((getline line2 < ($$0 ".log")) < 0) \
301             recheck = 0; \
302           break; \
303         } \
304       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
305         { \
306           recheck = 0; \
307           break; \
308         } \
309       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
310         { \
311           break; \
312         } \
313     }; \
314   if (recheck) \
315     print $$0; \
316   close ($$0 ".trs"); \
317   close ($$0 ".log"); \
318 }'
319 # A command that, given a newline-separated list of test names on the
320 # standard input, create the global log from their .trs and .log files.
321 am__create_global_log = $(AWK) ' \
322 function fatal(msg) \
323 { \
324   print "fatal: making $@: " msg | "cat >&2"; \
325   exit 1; \
326 } \
327 function rst_section(header) \
328 { \
329   print header; \
330   len = length(header); \
331   for (i = 1; i <= len; i = i + 1) \
332     printf "="; \
333   printf "\n\n"; \
334 } \
335 { \
336   copy_in_global_log = 1; \
337   global_test_result = "RUN"; \
338   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
339     { \
340       if (rc < 0) \
341          fatal("failed to read from " $$0 ".trs"); \
342       if (line ~ /$(am__global_test_result_rx)/) \
343         { \
344           sub("$(am__global_test_result_rx)", "", line); \
345           sub("[        ]*$$", "", line); \
346           global_test_result = line; \
347         } \
348       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
349         copy_in_global_log = 0; \
350     }; \
351   if (copy_in_global_log) \
352     { \
353       rst_section(global_test_result ": " $$0); \
354       while ((rc = (getline line < ($$0 ".log"))) != 0) \
355       { \
356         if (rc < 0) \
357           fatal("failed to read from " $$0 ".log"); \
358         print line; \
359       }; \
360       printf "\n"; \
361     }; \
362   close ($$0 ".trs"); \
363   close ($$0 ".log"); \
364 }'
365 # Restructured Text title.
366 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
367 # Solaris 10 'make', and several other traditional 'make' implementations,
368 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
369 # by disabling -e (using the XSI extension "set +e") if it's set.
370 am__sh_e_setup = case $$- in *e*) set +e;; esac
371 # Default flags passed to test drivers.
372 am__common_driver_flags = \
373   --color-tests "$$am__color_tests" \
374   --enable-hard-errors "$$am__enable_hard_errors" \
375   --expect-failure "$$am__expect_failure"
376 # To be inserted before the command running the test.  Creates the
377 # directory for the log if needed.  Stores in $dir the directory
378 # containing $f, in $tst the test, in $log the log.  Executes the
379 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
380 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
381 # will run the test scripts (or their associated LOG_COMPILER, if
382 # thy have one).
383 am__check_pre = \
384 $(am__sh_e_setup);                                      \
385 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
386 $(am__tty_colors);                                      \
387 srcdir=$(srcdir); export srcdir;                        \
388 case "$@" in                                            \
389   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
390     *) am__odir=.;;                                     \
391 esac;                                                   \
392 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
393   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
394 if test -f "./$$f"; then dir=./;                        \
395 elif test -f "$$f"; then dir=;                          \
396 else dir="$(srcdir)/"; fi;                              \
397 tst=$$dir$$f; log='$@';                                 \
398 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
399   am__enable_hard_errors=no;                            \
400 else                                                    \
401   am__enable_hard_errors=yes;                           \
402 fi;                                                     \
403 case " $(XFAIL_TESTS) " in                              \
404   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
405     am__expect_failure=yes;;                            \
406   *)                                                    \
407     am__expect_failure=no;;                             \
408 esac;                                                   \
409 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
410 # A shell command to get the names of the tests scripts with any registered
411 # extension removed (i.e., equivalently, the names of the test logs, with
412 # the '.log' extension removed).  The result is saved in the shell variable
413 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
414 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
415 # since that might cause problem with VPATH rewrites for suffix-less tests.
416 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
417 am__set_TESTS_bases = \
418   bases='$(TEST_LOGS)'; \
419   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
420   bases=`echo $$bases`
421 RECHECK_LOGS = $(TEST_LOGS)
422 AM_RECURSIVE_TARGETS = check recheck
423 TEST_SUITE_LOG = test-suite.log
424 TEST_EXTENSIONS = @EXEEXT@ .test
425 am__test_logs1 = $(TESTS:=.log)
426 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
427 TEST_LOGS = $(am__test_logs2:.test.log=.log)
428 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
429 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
430         $(TEST_LOG_FLAGS)
431 am__set_b = \
432   case '$@' in \
433     */*) \
434       case '$*' in \
435         */*) b='$*';; \
436           *) b=`echo '$@' | sed 's/\.log$$//'`; \
437        esac;; \
438     *) \
439       b='$*';; \
440   esac
441 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
442         $(top_srcdir)/glib.mk $(top_srcdir)/test-driver
443 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
444 ABS_TAPSET_DIR = @ABS_TAPSET_DIR@
445 ACLOCAL = @ACLOCAL@
446 ALLOCA = @ALLOCA@
447 AMTAR = @AMTAR@
448 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
449 AR = @AR@
450 AS = @AS@
451 AUTOCONF = @AUTOCONF@
452 AUTOHEADER = @AUTOHEADER@
453 AUTOMAKE = @AUTOMAKE@
454 AWK = @AWK@
455 CARBON_LIBS = @CARBON_LIBS@
456 CATALOGS = @CATALOGS@
457 CATOBJEXT = @CATOBJEXT@
458 CC = @CC@
459 CCDEPMODE = @CCDEPMODE@
460 CFLAGS = @CFLAGS@
461 COCOA_LIBS = @COCOA_LIBS@
462 CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
463 CPP = @CPP@
464 CPPFLAGS = @CPPFLAGS@
465 CXX = @CXX@
466 CXXCPP = @CXXCPP@
467 CXXDEPMODE = @CXXDEPMODE@
468 CXXFLAGS = @CXXFLAGS@
469 CYGPATH_W = @CYGPATH_W@
470 DATADIRNAME = @DATADIRNAME@
471 DBUS1_CFLAGS = @DBUS1_CFLAGS@
472 DBUS1_LIBS = @DBUS1_LIBS@
473 DBUS_DAEMON = @DBUS_DAEMON@
474 DEFS = @DEFS@
475 DEPDIR = @DEPDIR@
476 DLLTOOL = @DLLTOOL@
477 DSYMUTIL = @DSYMUTIL@
478 DTRACE = @DTRACE@
479 DUMPBIN = @DUMPBIN@
480 ECHO_C = @ECHO_C@
481 ECHO_N = @ECHO_N@
482 ECHO_T = @ECHO_T@
483 EGREP = @EGREP@
484 EXEEXT = @EXEEXT@
485 FAM_LIBS = @FAM_LIBS@
486 FGREP = @FGREP@
487 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
488 GIO = @GIO@
489 GIO_MODULE_DIR = @GIO_MODULE_DIR@
490 GLIBC21 = @GLIBC21@
491 GLIB_BINARY_AGE = @GLIB_BINARY_AGE@
492 GLIB_DEBUG_FLAGS = @GLIB_DEBUG_FLAGS@
493 GLIB_EXTRA_CFLAGS = @GLIB_EXTRA_CFLAGS@
494 GLIB_HIDDEN_VISIBILITY_CFLAGS = @GLIB_HIDDEN_VISIBILITY_CFLAGS@
495 GLIB_INTERFACE_AGE = @GLIB_INTERFACE_AGE@
496 GLIB_LINK_FLAGS = @GLIB_LINK_FLAGS@
497 GLIB_MAJOR_VERSION = @GLIB_MAJOR_VERSION@
498 GLIB_MICRO_VERSION = @GLIB_MICRO_VERSION@
499 GLIB_MINOR_VERSION = @GLIB_MINOR_VERSION@
500 GLIB_RUNTIME_LIBDIR = @GLIB_RUNTIME_LIBDIR@
501 GLIB_VERSION = @GLIB_VERSION@
502 GLIB_WARN_CFLAGS = @GLIB_WARN_CFLAGS@
503 GLIB_WIN32_STATIC_COMPILATION_DEFINE = @GLIB_WIN32_STATIC_COMPILATION_DEFINE@
504 GMOFILES = @GMOFILES@
505 GMSGFMT = @GMSGFMT@
506 GREP = @GREP@
507 GSPAWN = @GSPAWN@
508 GTHREAD_COMPILE_IMPL_DEFINES = @GTHREAD_COMPILE_IMPL_DEFINES@
509 GTKDOC_CHECK = @GTKDOC_CHECK@
510 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
511 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
512 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
513 GTKDOC_MKPDF = @GTKDOC_MKPDF@
514 GTKDOC_REBASE = @GTKDOC_REBASE@
515 G_LIBS_EXTRA = @G_LIBS_EXTRA@
516 G_MODULE_BROKEN_RTLD_GLOBAL = @G_MODULE_BROKEN_RTLD_GLOBAL@
517 G_MODULE_HAVE_DLERROR = @G_MODULE_HAVE_DLERROR@
518 G_MODULE_IMPL = @G_MODULE_IMPL@
519 G_MODULE_LDFLAGS = @G_MODULE_LDFLAGS@
520 G_MODULE_LIBS = @G_MODULE_LIBS@
521 G_MODULE_LIBS_EXTRA = @G_MODULE_LIBS_EXTRA@
522 G_MODULE_NEED_USCORE = @G_MODULE_NEED_USCORE@
523 G_MODULE_PLUGIN_LIBS = @G_MODULE_PLUGIN_LIBS@
524 G_MODULE_SUPPORTED = @G_MODULE_SUPPORTED@
525 G_THREAD_CFLAGS = @G_THREAD_CFLAGS@
526 G_THREAD_LIBS = @G_THREAD_LIBS@
527 G_THREAD_LIBS_EXTRA = @G_THREAD_LIBS_EXTRA@
528 G_THREAD_LIBS_FOR_GTHREAD = @G_THREAD_LIBS_FOR_GTHREAD@
529 HTML_DIR = @HTML_DIR@
530 ICONV_LIBS = @ICONV_LIBS@
531 INDENT = @INDENT@
532 INSTALL = @INSTALL@
533 INSTALL_DATA = @INSTALL_DATA@
534 INSTALL_PROGRAM = @INSTALL_PROGRAM@
535 INSTALL_SCRIPT = @INSTALL_SCRIPT@
536 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
537 INSTOBJEXT = @INSTOBJEXT@
538 INTLLIBS = @INTLLIBS@
539 LD = @LD@
540 LDFLAGS = @LDFLAGS@
541 LIBELF_CFLAGS = @LIBELF_CFLAGS@
542 LIBELF_LIBS = @LIBELF_LIBS@
543 LIBFFI_CFLAGS = @LIBFFI_CFLAGS@
544 LIBFFI_LIBS = @LIBFFI_LIBS@
545 LIBMOUNT_CFLAGS = @LIBMOUNT_CFLAGS@
546 LIBMOUNT_LIBS = @LIBMOUNT_LIBS@
547 LIBOBJS = @LIBOBJS@
548 LIBS = @LIBS@
549 LIBTOOL = @LIBTOOL@
550 LIB_EXE_MACHINE_FLAG = @LIB_EXE_MACHINE_FLAG@
551 LIPO = @LIPO@
552 LN_S = @LN_S@
553 LTLIBOBJS = @LTLIBOBJS@
554 LTP = @LTP@
555 LTP_GENHTML = @LTP_GENHTML@
556 LT_AGE = @LT_AGE@
557 LT_CURRENT = @LT_CURRENT@
558 LT_CURRENT_MINUS_AGE = @LT_CURRENT_MINUS_AGE@
559 LT_RELEASE = @LT_RELEASE@
560 LT_REVISION = @LT_REVISION@
561 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
562 MAINT = @MAINT@
563 MAKEINFO = @MAKEINFO@
564 MANIFEST_TOOL = @MANIFEST_TOOL@
565 MKDIR_P = @MKDIR_P@
566 MKINSTALLDIRS = @MKINSTALLDIRS@
567 MSGFMT = @MSGFMT@
568 MSGFMT_OPTS = @MSGFMT_OPTS@
569 NAMESER_COMPAT_INCLUDE = @NAMESER_COMPAT_INCLUDE@
570 NETWORK_LIBS = @NETWORK_LIBS@
571 NM = @NM@
572 NMEDIT = @NMEDIT@
573 OBJDUMP = @OBJDUMP@
574 OBJEXT = @OBJEXT@
575 OTOOL = @OTOOL@
576 OTOOL64 = @OTOOL64@
577 PACKAGE = @PACKAGE@
578 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
579 PACKAGE_NAME = @PACKAGE_NAME@
580 PACKAGE_STRING = @PACKAGE_STRING@
581 PACKAGE_TARNAME = @PACKAGE_TARNAME@
582 PACKAGE_URL = @PACKAGE_URL@
583 PACKAGE_VERSION = @PACKAGE_VERSION@
584 PATH_SEPARATOR = @PATH_SEPARATOR@
585 PCRE_CFLAGS = @PCRE_CFLAGS@
586 PCRE_LIBS = @PCRE_LIBS@
587 PCRE_REQUIRES = @PCRE_REQUIRES@
588 PCRE_WARN_CFLAGS = @PCRE_WARN_CFLAGS@
589 PERL = @PERL@
590 PERL_PATH = @PERL_PATH@
591 PKG_CONFIG = @PKG_CONFIG@
592 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
593 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
594 PLATFORMDEP = @PLATFORMDEP@
595 POFILES = @POFILES@
596 POSUB = @POSUB@
597 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
598 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
599 PYTHON = @PYTHON@
600 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
601 PYTHON_PLATFORM = @PYTHON_PLATFORM@
602 PYTHON_PREFIX = @PYTHON_PREFIX@
603 PYTHON_VERSION = @PYTHON_VERSION@
604 RANLIB = @RANLIB@
605 REBUILD = @REBUILD@
606 SED = @SED@
607 SELINUX_LIBS = @SELINUX_LIBS@
608 SET_MAKE = @SET_MAKE@
609 SHELL = @SHELL@
610 SHTOOL = @SHTOOL@
611 STRIP = @STRIP@
612 USE_NLS = @USE_NLS@
613 VERSION = @VERSION@
614 WINDRES = @WINDRES@
615 WSPIAPI_INCLUDE = @WSPIAPI_INCLUDE@
616 XATTR_LIBS = @XATTR_LIBS@
617 XGETTEXT = @XGETTEXT@
618 XMLCATALOG = @XMLCATALOG@
619 XML_CATALOG_FILE = @XML_CATALOG_FILE@
620 XSLTPROC = @XSLTPROC@
621 ZLIB_CFLAGS = @ZLIB_CFLAGS@
622 ZLIB_LIBS = @ZLIB_LIBS@
623 abs_builddir = @abs_builddir@
624 abs_srcdir = @abs_srcdir@
625 abs_top_builddir = @abs_top_builddir@
626 abs_top_srcdir = @abs_top_srcdir@
627 ac_ct_AR = @ac_ct_AR@
628 ac_ct_CC = @ac_ct_CC@
629 ac_ct_CXX = @ac_ct_CXX@
630 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
631 am__include = @am__include@
632 am__leading_dot = @am__leading_dot@
633 am__quote = @am__quote@
634 am__tar = @am__tar@
635 am__untar = @am__untar@
636 bindir = @bindir@
637 build = @build@
638 build_alias = @build_alias@
639 build_cpu = @build_cpu@
640 build_os = @build_os@
641 build_vendor = @build_vendor@
642 builddir = @builddir@
643 config_h_INCLUDES = @config_h_INCLUDES@
644 datadir = @datadir@
645 datarootdir = @datarootdir@
646 docdir = @docdir@
647 dvidir = @dvidir@
648 exec_prefix = @exec_prefix@
649 gio_INCLUDES = @gio_INCLUDES@
650 glib_INCLUDES = @glib_INCLUDES@
651 gmodule_INCLUDES = @gmodule_INCLUDES@
652 gobject_INCLUDES = @gobject_INCLUDES@
653 host = @host@
654 host_alias = @host_alias@
655 host_cpu = @host_cpu@
656 host_os = @host_os@
657 host_vendor = @host_vendor@
658 htmldir = @htmldir@
659 includedir = @includedir@
660 infodir = @infodir@
661 install_sh = @install_sh@
662 installed_test_metadir = @installed_test_metadir@
663 installed_testdir = @installed_testdir@
664 libdir = @libdir@
665 libexecdir = @libexecdir@
666 localedir = @localedir@
667 localstatedir = @localstatedir@
668 mandir = @mandir@
669 mkdir_p = @mkdir_p@
670 ms_librarian = @ms_librarian@
671 oldincludedir = @oldincludedir@
672 pdfdir = @pdfdir@
673 pkgpyexecdir = @pkgpyexecdir@
674 pkgpythondir = @pkgpythondir@
675 prefix = @prefix@
676 program_transform_name = @program_transform_name@
677 psdir = @psdir@
678 pyexecdir = @pyexecdir@
679 pythondir = @pythondir@
680 sbindir = @sbindir@
681 sharedstatedir = @sharedstatedir@
682 srcdir = @srcdir@
683 sysconfdir = @sysconfdir@
684 target_alias = @target_alias@
685 top_build_prefix = @top_build_prefix@
686 top_builddir = @top_builddir@
687 top_srcdir = @top_srcdir@
688
689 #GTESTER = gtester                      # for non-GLIB packages
690 #GTESTER_REPORT = gtester-report        # for non-GLIB packages
691 GTESTER = $(top_builddir)/glib/gtester                  # for the GLIB package
692 GTESTER_REPORT = $(top_builddir)/glib/gtester-report    # for the GLIB package
693 NULL = 
694
695 # initialize variables for unconditional += appending
696 BUILT_SOURCES = 
697 BUILT_EXTRA_DIST = 
698 CLEANFILES = *.log *.trs $(am__append_14)
699 DISTCLEANFILES = 
700 MAINTAINERCLEANFILES = 
701 EXTRA_DIST = $(all_dist_test_scripts) $(all_dist_test_data)
702
703 # We support a fairly large range of possible variables.  It is expected that all types of files in a test suite
704 # will belong in exactly one of the following variables.
705 #
706 # First, we support the usual automake suffixes, but in lowercase, with the customary meaning:
707 #
708 #   test_programs, test_scripts, test_data, test_ltlibraries
709 #
710 # The above are used to list files that are involved in both uninstalled and installed testing.  The
711 # test_programs and test_scripts are taken to be actual testcases and will be run as part of the test suite.
712 # Note that _data is always used with the nobase_ automake variable name to ensure that installed test data is
713 # installed in the same way as it appears in the package layout.
714 #
715 # In order to mark a particular file as being only for one type of testing, use 'installed' or 'uninstalled',
716 # like so:
717 #
718 #   installed_test_programs, uninstalled_test_programs
719 #   installed_test_scripts, uninstalled_test_scripts
720 #   installed_test_data, uninstalled_test_data
721 #   installed_test_ltlibraries, uninstalled_test_ltlibraries
722 #
723 # Additionally, we support 'extra' infixes for programs and scripts.  This is used for support programs/scripts
724 # that should not themselves be run as testcases (but exist to be used from other testcases):
725 #
726 #   test_extra_programs, installed_test_extra_programs, uninstalled_test_extra_programs
727 #   test_extra_scripts, installed_test_extra_scripts, uninstalled_test_extra_scripts
728 #
729 # Additionally, for _scripts and _data, we support the customary dist_ prefix so that the named script or data
730 # file automatically end up in the tarball.
731 #
732 #   dist_test_scripts, dist_test_data, dist_test_extra_scripts
733 #   dist_installed_test_scripts, dist_installed_test_data, dist_installed_test_extra_scripts
734 #   dist_uninstalled_test_scripts, dist_uninstalled_test_data, dist_uninstalled_test_extra_scripts
735 #
736 # Note that no file is automatically disted unless it appears in one of the dist_ variables.  This follows the
737 # standard automake convention of not disting programs scripts or data by default.
738 #
739 # test_programs, test_scripts, uninstalled_test_programs and uninstalled_test_scripts (as well as their disted
740 # variants) will be run as part of the in-tree 'make check'.  These are all assumed to be runnable under
741 # gtester.  That's a bit strange for scripts, but it's possible.
742
743 # we use test -z "$(TEST_PROGS)" above, so make sure we have no extra whitespace...
744 TEST_PROGS = $(strip $(test_programs) $(test_scripts) \
745         $(uninstalled_test_programs) $(uninstalled_test_scripts) \
746         $(dist_test_scripts) $(dist_uninstalled_test_scripts))
747 installed_test_LTLIBRARIES = $(am__append_13)
748 installed_test_SCRIPTS = $(am__append_11)
749 nobase_installed_test_DATA = $(am__append_12)
750 noinst_LTLIBRARIES = $(am__append_2) libgiowin32.la
751 noinst_SCRIPTS = $(am__append_4)
752 noinst_DATA = $(am__append_5)
753 check_LTLIBRARIES = $(am__append_6)
754 check_SCRIPTS = $(am__append_8)
755 check_DATA = $(am__append_9)
756
757 # Note: build even the installed-only targets during 'make check' to ensure that they still work.
758 # We need to do a bit of trickery here and manage disting via EXTRA_DIST instead of using dist_ prefixes to
759 # prevent automake from mistreating gmake functions like $(wildcard ...) and $(addprefix ...) as if they were
760 # filenames, including removing duplicate instances of the opening part before the space, eg. '$(addprefix'.
761 all_test_programs = $(test_programs) $(uninstalled_test_programs) $(installed_test_programs) \
762                         $(test_extra_programs) $(uninstalled_test_extra_programs) $(installed_test_extra_programs)
763
764 all_test_scripts = $(test_scripts) $(uninstalled_test_scripts) \
765         $(installed_test_scripts) $(test_extra_scripts) \
766         $(uninstalled_test_extra_scripts) \
767         $(installed_test_extra_scripts) $(all_dist_test_scripts)
768 all_dist_test_scripts = $(dist_test_scripts) $(dist_uninstalled_test_scripts) $(dist_installed_test_scripts) \
769                         $(dist_test_extra_scripts) $(dist_uninstalled_test_extra_scripts) $(dist_installed_test_extra_scripts)
770
771 all_test_data = $(test_data) $(uninstalled_test_data) \
772         $(installed_test_data) $(all_dist_test_data)
773 all_dist_test_data = $(dist_test_data) $(dist_uninstalled_test_data) $(dist_installed_test_data)
774 all_test_ltlibs = $(test_ltlibraries) $(uninstalled_test_ltlibraries) $(installed_test_ltlibraries)
775 @ENABLE_INSTALLED_TESTS_TRUE@installed_testcases = $(test_programs) $(installed_test_programs) \
776 @ENABLE_INSTALLED_TESTS_TRUE@                      $(test_scripts) $(installed_test_scripts) \
777 @ENABLE_INSTALLED_TESTS_TRUE@                      $(dist_test_scripts) $(dist_installed_test_scripts)
778
779 @ENABLE_INSTALLED_TESTS_TRUE@installed_test_meta_DATA = $(installed_testcases:=.test)
780 libgiowin32_la_SOURCES = \
781         gwin32fsmonitorutils.c                  \
782         gwin32fsmonitorutils.h                  \
783         gwin32filemonitor.c                     \
784         gwin32filemonitor.h                     \
785         gwinhttpvfs.c                           \
786         gwinhttpvfs.h                           \
787         gwinhttpfile.c                          \
788         gwinhttpfile.h                          \
789         gwinhttpfileinputstream.c               \
790         gwinhttpfileinputstream.h               \
791         gwinhttpfileoutputstream.c              \
792         gwinhttpfileoutputstream.h              \
793         winhttp.h                               \
794         $(NULL)
795
796 libgiowin32_la_CFLAGS = \
797         $(GLIB_HIDDEN_VISIBILITY_CFLAGS)        \
798         -DG_LOG_DOMAIN=\"GLib-GIO\"     \
799         $(gio_INCLUDES)                 \
800         $(GLIB_DEBUG_FLAGS)             \
801         -DGIO_MODULE_DIR=\"$(GIO_MODULE_DIR)\"  \
802         -DGIO_COMPILATION               \
803         -DG_DISABLE_DEPRECATED
804
805 all: $(BUILT_SOURCES)
806         $(MAKE) $(AM_MAKEFLAGS) all-am
807
808 .SUFFIXES:
809 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
810 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/glib.mk $(am__configure_deps)
811         @for dep in $?; do \
812           case '$(am__configure_deps)' in \
813             *$$dep*) \
814               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
815                 && { if test -f $@; then exit 0; else break; fi; }; \
816               exit 1;; \
817           esac; \
818         done; \
819         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu gio/win32/Makefile'; \
820         $(am__cd) $(top_srcdir) && \
821           $(AUTOMAKE) --gnu gio/win32/Makefile
822 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
823         @case '$?' in \
824           *config.status*) \
825             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
826           *) \
827             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
828             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
829         esac;
830 $(top_srcdir)/glib.mk $(am__empty):
831
832 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
833         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
834
835 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
836         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
837 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
838         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
839 $(am__aclocal_m4_deps):
840
841 clean-checkLTLIBRARIES:
842         -test -z "$(check_LTLIBRARIES)" || rm -f $(check_LTLIBRARIES)
843         @list='$(check_LTLIBRARIES)'; \
844         locs=`for p in $$list; do echo $$p; done | \
845               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
846               sort -u`; \
847         test -z "$$locs" || { \
848           echo rm -f $${locs}; \
849           rm -f $${locs}; \
850         }
851
852 install-installed_testLTLIBRARIES: $(installed_test_LTLIBRARIES)
853         @$(NORMAL_INSTALL)
854         @list='$(installed_test_LTLIBRARIES)'; test -n "$(installed_testdir)" || list=; \
855         list2=; for p in $$list; do \
856           if test -f $$p; then \
857             list2="$$list2 $$p"; \
858           else :; fi; \
859         done; \
860         test -z "$$list2" || { \
861           echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)'"; \
862           $(MKDIR_P) "$(DESTDIR)$(installed_testdir)" || exit 1; \
863           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(installed_testdir)'"; \
864           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(installed_testdir)"; \
865         }
866
867 uninstall-installed_testLTLIBRARIES:
868         @$(NORMAL_UNINSTALL)
869         @list='$(installed_test_LTLIBRARIES)'; test -n "$(installed_testdir)" || list=; \
870         for p in $$list; do \
871           $(am__strip_dir) \
872           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(installed_testdir)/$$f'"; \
873           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(installed_testdir)/$$f"; \
874         done
875
876 clean-installed_testLTLIBRARIES:
877         -test -z "$(installed_test_LTLIBRARIES)" || rm -f $(installed_test_LTLIBRARIES)
878         @list='$(installed_test_LTLIBRARIES)'; \
879         locs=`for p in $$list; do echo $$p; done | \
880               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
881               sort -u`; \
882         test -z "$$locs" || { \
883           echo rm -f $${locs}; \
884           rm -f $${locs}; \
885         }
886
887 clean-noinstLTLIBRARIES:
888         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
889         @list='$(noinst_LTLIBRARIES)'; \
890         locs=`for p in $$list; do echo $$p; done | \
891               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
892               sort -u`; \
893         test -z "$$locs" || { \
894           echo rm -f $${locs}; \
895           rm -f $${locs}; \
896         }
897
898 libgiowin32.la: $(libgiowin32_la_OBJECTS) $(libgiowin32_la_DEPENDENCIES) $(EXTRA_libgiowin32_la_DEPENDENCIES) 
899         $(AM_V_CCLD)$(libgiowin32_la_LINK)  $(libgiowin32_la_OBJECTS) $(libgiowin32_la_LIBADD) $(LIBS)
900
901 clean-checkPROGRAMS:
902         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
903         echo " rm -f" $$list; \
904         rm -f $$list || exit $$?; \
905         test -n "$(EXEEXT)" || exit 0; \
906         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
907         echo " rm -f" $$list; \
908         rm -f $$list
909 install-installed_testPROGRAMS: $(installed_test_PROGRAMS)
910         @$(NORMAL_INSTALL)
911         @list='$(installed_test_PROGRAMS)'; test -n "$(installed_testdir)" || list=; \
912         if test -n "$$list"; then \
913           echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)'"; \
914           $(MKDIR_P) "$(DESTDIR)$(installed_testdir)" || exit 1; \
915         fi; \
916         for p in $$list; do echo "$$p $$p"; done | \
917         sed 's/$(EXEEXT)$$//' | \
918         while read p p1; do if test -f $$p \
919          || test -f $$p1 \
920           ; then echo "$$p"; echo "$$p"; else :; fi; \
921         done | \
922         sed -e 'p;s,.*/,,;n;h' \
923             -e 's|.*|.|' \
924             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
925         sed 'N;N;N;s,\n, ,g' | \
926         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
927           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
928             if ($$2 == $$4) files[d] = files[d] " " $$1; \
929             else { print "f", $$3 "/" $$4, $$1; } } \
930           END { for (d in files) print "f", d, files[d] }' | \
931         while read type dir files; do \
932             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
933             test -z "$$files" || { \
934             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(installed_testdir)$$dir'"; \
935             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(installed_testdir)$$dir" || exit $$?; \
936             } \
937         ; done
938
939 uninstall-installed_testPROGRAMS:
940         @$(NORMAL_UNINSTALL)
941         @list='$(installed_test_PROGRAMS)'; test -n "$(installed_testdir)" || list=; \
942         files=`for p in $$list; do echo "$$p"; done | \
943           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
944               -e 's/$$/$(EXEEXT)/' \
945         `; \
946         test -n "$$list" || exit 0; \
947         echo " ( cd '$(DESTDIR)$(installed_testdir)' && rm -f" $$files ")"; \
948         cd "$(DESTDIR)$(installed_testdir)" && rm -f $$files
949
950 clean-installed_testPROGRAMS:
951         @list='$(installed_test_PROGRAMS)'; test -n "$$list" || exit 0; \
952         echo " rm -f" $$list; \
953         rm -f $$list || exit $$?; \
954         test -n "$(EXEEXT)" || exit 0; \
955         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
956         echo " rm -f" $$list; \
957         rm -f $$list
958
959 clean-noinstPROGRAMS:
960         @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
961         echo " rm -f" $$list; \
962         rm -f $$list || exit $$?; \
963         test -n "$(EXEEXT)" || exit 0; \
964         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
965         echo " rm -f" $$list; \
966         rm -f $$list
967 install-installed_testSCRIPTS: $(installed_test_SCRIPTS)
968         @$(NORMAL_INSTALL)
969         @list='$(installed_test_SCRIPTS)'; test -n "$(installed_testdir)" || list=; \
970         if test -n "$$list"; then \
971           echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)'"; \
972           $(MKDIR_P) "$(DESTDIR)$(installed_testdir)" || exit 1; \
973         fi; \
974         for p in $$list; do \
975           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
976           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
977         done | \
978         sed -e 'p;s,.*/,,;n' \
979             -e 'h;s|.*|.|' \
980             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
981         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
982           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
983             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
984               if (++n[d] == $(am__install_max)) { \
985                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
986             else { print "f", d "/" $$4, $$1 } } \
987           END { for (d in files) print "f", d, files[d] }' | \
988         while read type dir files; do \
989              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
990              test -z "$$files" || { \
991                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(installed_testdir)$$dir'"; \
992                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(installed_testdir)$$dir" || exit $$?; \
993              } \
994         ; done
995
996 uninstall-installed_testSCRIPTS:
997         @$(NORMAL_UNINSTALL)
998         @list='$(installed_test_SCRIPTS)'; test -n "$(installed_testdir)" || exit 0; \
999         files=`for p in $$list; do echo "$$p"; done | \
1000                sed -e 's,.*/,,;$(transform)'`; \
1001         dir='$(DESTDIR)$(installed_testdir)'; $(am__uninstall_files_from_dir)
1002
1003 mostlyclean-compile:
1004         -rm -f *.$(OBJEXT)
1005
1006 distclean-compile:
1007         -rm -f *.tab.c
1008
1009 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgiowin32_la-gwin32filemonitor.Plo@am__quote@
1010 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgiowin32_la-gwin32fsmonitorutils.Plo@am__quote@
1011 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgiowin32_la-gwinhttpfile.Plo@am__quote@
1012 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgiowin32_la-gwinhttpfileinputstream.Plo@am__quote@
1013 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgiowin32_la-gwinhttpfileoutputstream.Plo@am__quote@
1014 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgiowin32_la-gwinhttpvfs.Plo@am__quote@
1015
1016 .c.o:
1017 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1018 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1019 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1020 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1021 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1022
1023 .c.obj:
1024 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1025 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1026 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1027 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1028 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1029
1030 .c.lo:
1031 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1032 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
1033 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1034 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1035 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1036
1037 libgiowin32_la-gwin32fsmonitorutils.lo: gwin32fsmonitorutils.c
1038 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -MT libgiowin32_la-gwin32fsmonitorutils.lo -MD -MP -MF $(DEPDIR)/libgiowin32_la-gwin32fsmonitorutils.Tpo -c -o libgiowin32_la-gwin32fsmonitorutils.lo `test -f 'gwin32fsmonitorutils.c' || echo '$(srcdir)/'`gwin32fsmonitorutils.c
1039 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libgiowin32_la-gwin32fsmonitorutils.Tpo $(DEPDIR)/libgiowin32_la-gwin32fsmonitorutils.Plo
1040 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gwin32fsmonitorutils.c' object='libgiowin32_la-gwin32fsmonitorutils.lo' libtool=yes @AMDEPBACKSLASH@
1041 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1042 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -c -o libgiowin32_la-gwin32fsmonitorutils.lo `test -f 'gwin32fsmonitorutils.c' || echo '$(srcdir)/'`gwin32fsmonitorutils.c
1043
1044 libgiowin32_la-gwin32filemonitor.lo: gwin32filemonitor.c
1045 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -MT libgiowin32_la-gwin32filemonitor.lo -MD -MP -MF $(DEPDIR)/libgiowin32_la-gwin32filemonitor.Tpo -c -o libgiowin32_la-gwin32filemonitor.lo `test -f 'gwin32filemonitor.c' || echo '$(srcdir)/'`gwin32filemonitor.c
1046 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libgiowin32_la-gwin32filemonitor.Tpo $(DEPDIR)/libgiowin32_la-gwin32filemonitor.Plo
1047 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gwin32filemonitor.c' object='libgiowin32_la-gwin32filemonitor.lo' libtool=yes @AMDEPBACKSLASH@
1048 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1049 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -c -o libgiowin32_la-gwin32filemonitor.lo `test -f 'gwin32filemonitor.c' || echo '$(srcdir)/'`gwin32filemonitor.c
1050
1051 libgiowin32_la-gwinhttpvfs.lo: gwinhttpvfs.c
1052 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -MT libgiowin32_la-gwinhttpvfs.lo -MD -MP -MF $(DEPDIR)/libgiowin32_la-gwinhttpvfs.Tpo -c -o libgiowin32_la-gwinhttpvfs.lo `test -f 'gwinhttpvfs.c' || echo '$(srcdir)/'`gwinhttpvfs.c
1053 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libgiowin32_la-gwinhttpvfs.Tpo $(DEPDIR)/libgiowin32_la-gwinhttpvfs.Plo
1054 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gwinhttpvfs.c' object='libgiowin32_la-gwinhttpvfs.lo' libtool=yes @AMDEPBACKSLASH@
1055 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1056 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -c -o libgiowin32_la-gwinhttpvfs.lo `test -f 'gwinhttpvfs.c' || echo '$(srcdir)/'`gwinhttpvfs.c
1057
1058 libgiowin32_la-gwinhttpfile.lo: gwinhttpfile.c
1059 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -MT libgiowin32_la-gwinhttpfile.lo -MD -MP -MF $(DEPDIR)/libgiowin32_la-gwinhttpfile.Tpo -c -o libgiowin32_la-gwinhttpfile.lo `test -f 'gwinhttpfile.c' || echo '$(srcdir)/'`gwinhttpfile.c
1060 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libgiowin32_la-gwinhttpfile.Tpo $(DEPDIR)/libgiowin32_la-gwinhttpfile.Plo
1061 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gwinhttpfile.c' object='libgiowin32_la-gwinhttpfile.lo' libtool=yes @AMDEPBACKSLASH@
1062 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1063 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -c -o libgiowin32_la-gwinhttpfile.lo `test -f 'gwinhttpfile.c' || echo '$(srcdir)/'`gwinhttpfile.c
1064
1065 libgiowin32_la-gwinhttpfileinputstream.lo: gwinhttpfileinputstream.c
1066 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -MT libgiowin32_la-gwinhttpfileinputstream.lo -MD -MP -MF $(DEPDIR)/libgiowin32_la-gwinhttpfileinputstream.Tpo -c -o libgiowin32_la-gwinhttpfileinputstream.lo `test -f 'gwinhttpfileinputstream.c' || echo '$(srcdir)/'`gwinhttpfileinputstream.c
1067 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libgiowin32_la-gwinhttpfileinputstream.Tpo $(DEPDIR)/libgiowin32_la-gwinhttpfileinputstream.Plo
1068 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gwinhttpfileinputstream.c' object='libgiowin32_la-gwinhttpfileinputstream.lo' libtool=yes @AMDEPBACKSLASH@
1069 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1070 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -c -o libgiowin32_la-gwinhttpfileinputstream.lo `test -f 'gwinhttpfileinputstream.c' || echo '$(srcdir)/'`gwinhttpfileinputstream.c
1071
1072 libgiowin32_la-gwinhttpfileoutputstream.lo: gwinhttpfileoutputstream.c
1073 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -MT libgiowin32_la-gwinhttpfileoutputstream.lo -MD -MP -MF $(DEPDIR)/libgiowin32_la-gwinhttpfileoutputstream.Tpo -c -o libgiowin32_la-gwinhttpfileoutputstream.lo `test -f 'gwinhttpfileoutputstream.c' || echo '$(srcdir)/'`gwinhttpfileoutputstream.c
1074 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libgiowin32_la-gwinhttpfileoutputstream.Tpo $(DEPDIR)/libgiowin32_la-gwinhttpfileoutputstream.Plo
1075 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gwinhttpfileoutputstream.c' object='libgiowin32_la-gwinhttpfileoutputstream.lo' libtool=yes @AMDEPBACKSLASH@
1076 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1077 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgiowin32_la_CFLAGS) $(CFLAGS) -c -o libgiowin32_la-gwinhttpfileoutputstream.lo `test -f 'gwinhttpfileoutputstream.c' || echo '$(srcdir)/'`gwinhttpfileoutputstream.c
1078
1079 mostlyclean-libtool:
1080         -rm -f *.lo
1081
1082 clean-libtool:
1083         -rm -rf .libs _libs
1084 install-installed_test_metaDATA: $(installed_test_meta_DATA)
1085         @$(NORMAL_INSTALL)
1086         @list='$(installed_test_meta_DATA)'; test -n "$(installed_test_metadir)" || list=; \
1087         if test -n "$$list"; then \
1088           echo " $(MKDIR_P) '$(DESTDIR)$(installed_test_metadir)'"; \
1089           $(MKDIR_P) "$(DESTDIR)$(installed_test_metadir)" || exit 1; \
1090         fi; \
1091         for p in $$list; do \
1092           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1093           echo "$$d$$p"; \
1094         done | $(am__base_list) | \
1095         while read files; do \
1096           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(installed_test_metadir)'"; \
1097           $(INSTALL_DATA) $$files "$(DESTDIR)$(installed_test_metadir)" || exit $$?; \
1098         done
1099
1100 uninstall-installed_test_metaDATA:
1101         @$(NORMAL_UNINSTALL)
1102         @list='$(installed_test_meta_DATA)'; test -n "$(installed_test_metadir)" || list=; \
1103         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1104         dir='$(DESTDIR)$(installed_test_metadir)'; $(am__uninstall_files_from_dir)
1105 install-nobase_installed_testDATA: $(nobase_installed_test_DATA)
1106         @$(NORMAL_INSTALL)
1107         @list='$(nobase_installed_test_DATA)'; test -n "$(installed_testdir)" || list=; \
1108         if test -n "$$list"; then \
1109           echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)'"; \
1110           $(MKDIR_P) "$(DESTDIR)$(installed_testdir)" || exit 1; \
1111         fi; \
1112         $(am__nobase_list) | while read dir files; do \
1113           xfiles=; for file in $$files; do \
1114             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1115             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1116           test -z "$$xfiles" || { \
1117             test "x$$dir" = x. || { \
1118               echo " $(MKDIR_P) '$(DESTDIR)$(installed_testdir)/$$dir'"; \
1119               $(MKDIR_P) "$(DESTDIR)$(installed_testdir)/$$dir"; }; \
1120             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(installed_testdir)/$$dir'"; \
1121             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(installed_testdir)/$$dir" || exit $$?; }; \
1122         done
1123
1124 uninstall-nobase_installed_testDATA:
1125         @$(NORMAL_UNINSTALL)
1126         @list='$(nobase_installed_test_DATA)'; test -n "$(installed_testdir)" || list=; \
1127         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1128         dir='$(DESTDIR)$(installed_testdir)'; $(am__uninstall_files_from_dir)
1129
1130 ID: $(am__tagged_files)
1131         $(am__define_uniq_tagged_files); mkid -fID $$unique
1132 tags: tags-am
1133 TAGS: tags
1134
1135 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1136         set x; \
1137         here=`pwd`; \
1138         $(am__define_uniq_tagged_files); \
1139         shift; \
1140         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1141           test -n "$$unique" || unique=$$empty_fix; \
1142           if test $$# -gt 0; then \
1143             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1144               "$$@" $$unique; \
1145           else \
1146             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1147               $$unique; \
1148           fi; \
1149         fi
1150 ctags: ctags-am
1151
1152 CTAGS: ctags
1153 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1154         $(am__define_uniq_tagged_files); \
1155         test -z "$(CTAGS_ARGS)$$unique" \
1156           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1157              $$unique
1158
1159 GTAGS:
1160         here=`$(am__cd) $(top_builddir) && pwd` \
1161           && $(am__cd) $(top_srcdir) \
1162           && gtags -i $(GTAGS_ARGS) "$$here"
1163 cscopelist: cscopelist-am
1164
1165 cscopelist-am: $(am__tagged_files)
1166         list='$(am__tagged_files)'; \
1167         case "$(srcdir)" in \
1168           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1169           *) sdir=$(subdir)/$(srcdir) ;; \
1170         esac; \
1171         for i in $$list; do \
1172           if test -f "$$i"; then \
1173             echo "$(subdir)/$$i"; \
1174           else \
1175             echo "$$sdir/$$i"; \
1176           fi; \
1177         done >> $(top_builddir)/cscope.files
1178
1179 distclean-tags:
1180         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1181
1182 # Recover from deleted '.trs' file; this should ensure that
1183 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1184 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1185 # to avoid problems with "make -n".
1186 .log.trs:
1187         rm -f $< $@
1188         $(MAKE) $(AM_MAKEFLAGS) $<
1189
1190 # Leading 'am--fnord' is there to ensure the list of targets does not
1191 # expand to empty, as could happen e.g. with make check TESTS=''.
1192 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1193 am--force-recheck:
1194         @:
1195
1196 $(TEST_SUITE_LOG): $(TEST_LOGS)
1197         @$(am__set_TESTS_bases); \
1198         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1199         redo_bases=`for i in $$bases; do \
1200                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1201                     done`; \
1202         if test -n "$$redo_bases"; then \
1203           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1204           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1205           if $(am__make_dryrun); then :; else \
1206             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1207           fi; \
1208         fi; \
1209         if test -n "$$am__remaking_logs"; then \
1210           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1211                "recursion detected" >&2; \
1212         elif test -n "$$redo_logs"; then \
1213           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1214         fi; \
1215         if $(am__make_dryrun); then :; else \
1216           st=0;  \
1217           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1218           for i in $$redo_bases; do \
1219             test -f $$i.trs && test -r $$i.trs \
1220               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1221             test -f $$i.log && test -r $$i.log \
1222               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1223           done; \
1224           test $$st -eq 0 || exit 1; \
1225         fi
1226         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1227         ws='[   ]'; \
1228         results=`for b in $$bases; do echo $$b.trs; done`; \
1229         test -n "$$results" || results=/dev/null; \
1230         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1231         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1232         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1233         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1234         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1235         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1236         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1237         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1238           success=true; \
1239         else \
1240           success=false; \
1241         fi; \
1242         br='==================='; br=$$br$$br$$br$$br; \
1243         result_count () \
1244         { \
1245             if test x"$$1" = x"--maybe-color"; then \
1246               maybe_colorize=yes; \
1247             elif test x"$$1" = x"--no-color"; then \
1248               maybe_colorize=no; \
1249             else \
1250               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1251             fi; \
1252             shift; \
1253             desc=$$1 count=$$2; \
1254             if test $$maybe_colorize = yes && test $$count -gt 0; then \
1255               color_start=$$3 color_end=$$std; \
1256             else \
1257               color_start= color_end=; \
1258             fi; \
1259             echo "$${color_start}# $$desc $$count$${color_end}"; \
1260         }; \
1261         create_testsuite_report () \
1262         { \
1263           result_count $$1 "TOTAL:" $$all   "$$brg"; \
1264           result_count $$1 "PASS: " $$pass  "$$grn"; \
1265           result_count $$1 "SKIP: " $$skip  "$$blu"; \
1266           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1267           result_count $$1 "FAIL: " $$fail  "$$red"; \
1268           result_count $$1 "XPASS:" $$xpass "$$red"; \
1269           result_count $$1 "ERROR:" $$error "$$mgn"; \
1270         }; \
1271         {                                                               \
1272           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1273             $(am__rst_title);                                           \
1274           create_testsuite_report --no-color;                           \
1275           echo;                                                         \
1276           echo ".. contents:: :depth: 2";                               \
1277           echo;                                                         \
1278           for b in $$bases; do echo $$b; done                           \
1279             | $(am__create_global_log);                                 \
1280         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1281         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1282         if $$success; then                                              \
1283           col="$$grn";                                                  \
1284          else                                                           \
1285           col="$$red";                                                  \
1286           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1287         fi;                                                             \
1288         echo "$${col}$$br$${std}";                                      \
1289         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1290         echo "$${col}$$br$${std}";                                      \
1291         create_testsuite_report --maybe-color;                          \
1292         echo "$$col$$br$$std";                                          \
1293         if $$success; then :; else                                      \
1294           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1295           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1296             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1297           fi;                                                           \
1298           echo "$$col$$br$$std";                                        \
1299         fi;                                                             \
1300         $$success || exit 1
1301
1302 check-TESTS:
1303         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1304         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1305         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1306         @set +e; $(am__set_TESTS_bases); \
1307         log_list=`for i in $$bases; do echo $$i.log; done`; \
1308         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1309         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1310         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1311         exit $$?;
1312 recheck: all $(check_LTLIBRARIES) $(check_PROGRAMS) $(check_SCRIPTS) $(check_DATA)
1313         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1314         @set +e; $(am__set_TESTS_bases); \
1315         bases=`for i in $$bases; do echo $$i; done \
1316                  | $(am__list_recheck_tests)` || exit 1; \
1317         log_list=`for i in $$bases; do echo $$i.log; done`; \
1318         log_list=`echo $$log_list`; \
1319         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1320                 am__force_recheck=am--force-recheck \
1321                 TEST_LOGS="$$log_list"; \
1322         exit $$?
1323 .test.log:
1324         @p='$<'; \
1325         $(am__set_b); \
1326         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1327         --log-file $$b.log --trs-file $$b.trs \
1328         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1329         "$$tst" $(AM_TESTS_FD_REDIRECT)
1330 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1331 @am__EXEEXT_TRUE@       @p='$<'; \
1332 @am__EXEEXT_TRUE@       $(am__set_b); \
1333 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1334 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1335 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1336 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1337
1338 distdir: $(DISTFILES)
1339         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1340         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1341         list='$(DISTFILES)'; \
1342           dist_files=`for file in $$list; do echo $$file; done | \
1343           sed -e "s|^$$srcdirstrip/||;t" \
1344               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1345         case $$dist_files in \
1346           */*) $(MKDIR_P) `echo "$$dist_files" | \
1347                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1348                            sort -u` ;; \
1349         esac; \
1350         for file in $$dist_files; do \
1351           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1352           if test -d $$d/$$file; then \
1353             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1354             if test -d "$(distdir)/$$file"; then \
1355               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1356             fi; \
1357             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1358               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1359               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1360             fi; \
1361             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1362           else \
1363             test -f "$(distdir)/$$file" \
1364             || cp -p $$d/$$file "$(distdir)/$$file" \
1365             || exit 1; \
1366           fi; \
1367         done
1368 check-am: all-am
1369         $(MAKE) $(AM_MAKEFLAGS) $(check_LTLIBRARIES) $(check_PROGRAMS) \
1370           $(check_SCRIPTS) $(check_DATA)
1371         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1372 check: $(BUILT_SOURCES)
1373         $(MAKE) $(AM_MAKEFLAGS) check-am
1374 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(DATA)
1375 installdirs:
1376         for dir in "$(DESTDIR)$(installed_testdir)" "$(DESTDIR)$(installed_testdir)" "$(DESTDIR)$(installed_testdir)" "$(DESTDIR)$(installed_test_metadir)" "$(DESTDIR)$(installed_testdir)"; do \
1377           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1378         done
1379 install: $(BUILT_SOURCES)
1380         $(MAKE) $(AM_MAKEFLAGS) install-am
1381 install-exec: install-exec-am
1382 install-data: install-data-am
1383 uninstall: uninstall-am
1384
1385 install-am: all-am
1386         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1387
1388 installcheck: installcheck-am
1389 install-strip:
1390         if test -z '$(STRIP)'; then \
1391           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1392             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1393               install; \
1394         else \
1395           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1396             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1397             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1398         fi
1399 mostlyclean-generic:
1400         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1401         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1402         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1403
1404 clean-generic:
1405         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1406
1407 distclean-generic:
1408         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1409         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1410         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1411
1412 maintainer-clean-generic:
1413         @echo "This command is intended for maintainers to use"
1414         @echo "it deletes files that may require special tools to rebuild."
1415         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1416         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1417 clean: clean-am
1418
1419 clean-am: clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
1420         clean-installed_testLTLIBRARIES clean-installed_testPROGRAMS \
1421         clean-libtool clean-noinstLTLIBRARIES clean-noinstPROGRAMS \
1422         mostlyclean-am
1423
1424 distclean: distclean-am
1425         -rm -rf ./$(DEPDIR)
1426         -rm -f Makefile
1427 distclean-am: clean-am distclean-compile distclean-generic \
1428         distclean-tags
1429
1430 dvi: dvi-am
1431
1432 dvi-am:
1433
1434 html: html-am
1435
1436 html-am:
1437
1438 info: info-am
1439
1440 info-am:
1441
1442 install-data-am: install-installed_testLTLIBRARIES \
1443         install-installed_testPROGRAMS install-installed_testSCRIPTS \
1444         install-installed_test_metaDATA \
1445         install-nobase_installed_testDATA
1446
1447 install-dvi: install-dvi-am
1448
1449 install-dvi-am:
1450
1451 install-exec-am:
1452
1453 install-html: install-html-am
1454
1455 install-html-am:
1456
1457 install-info: install-info-am
1458
1459 install-info-am:
1460
1461 install-man:
1462
1463 install-pdf: install-pdf-am
1464
1465 install-pdf-am:
1466
1467 install-ps: install-ps-am
1468
1469 install-ps-am:
1470
1471 installcheck-am:
1472
1473 maintainer-clean: maintainer-clean-am
1474         -rm -rf ./$(DEPDIR)
1475         -rm -f Makefile
1476 maintainer-clean-am: distclean-am maintainer-clean-generic
1477
1478 mostlyclean: mostlyclean-am
1479
1480 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1481         mostlyclean-libtool
1482
1483 pdf: pdf-am
1484
1485 pdf-am:
1486
1487 ps: ps-am
1488
1489 ps-am:
1490
1491 uninstall-am: uninstall-installed_testLTLIBRARIES \
1492         uninstall-installed_testPROGRAMS \
1493         uninstall-installed_testSCRIPTS \
1494         uninstall-installed_test_metaDATA \
1495         uninstall-nobase_installed_testDATA
1496
1497 .MAKE: all check check-am install install-am install-strip
1498
1499 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am \
1500         check-local clean clean-checkLTLIBRARIES clean-checkPROGRAMS \
1501         clean-generic clean-installed_testLTLIBRARIES \
1502         clean-installed_testPROGRAMS clean-libtool \
1503         clean-noinstLTLIBRARIES clean-noinstPROGRAMS cscopelist-am \
1504         ctags ctags-am distclean distclean-compile distclean-generic \
1505         distclean-libtool distclean-tags distdir dvi dvi-am html \
1506         html-am info info-am install install-am install-data \
1507         install-data-am install-dvi install-dvi-am install-exec \
1508         install-exec-am install-html install-html-am install-info \
1509         install-info-am install-installed_testLTLIBRARIES \
1510         install-installed_testPROGRAMS install-installed_testSCRIPTS \
1511         install-installed_test_metaDATA install-man \
1512         install-nobase_installed_testDATA install-pdf install-pdf-am \
1513         install-ps install-ps-am install-strip installcheck \
1514         installcheck-am installdirs maintainer-clean \
1515         maintainer-clean-generic mostlyclean mostlyclean-compile \
1516         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1517         recheck tags tags-am uninstall uninstall-am \
1518         uninstall-installed_testLTLIBRARIES \
1519         uninstall-installed_testPROGRAMS \
1520         uninstall-installed_testSCRIPTS \
1521         uninstall-installed_test_metaDATA \
1522         uninstall-nobase_installed_testDATA
1523
1524 .PRECIOUS: Makefile
1525
1526
1527 # test-nonrecursive: run tests only in cwd
1528 @OS_UNIX_TRUE@test-nonrecursive: ${TEST_PROGS}
1529 @OS_UNIX_TRUE@  @test -z "${TEST_PROGS}" || G_TEST_SRCDIR="$(abs_srcdir)" G_TEST_BUILDDIR="$(abs_builddir)" G_DEBUG=gc-friendly MALLOC_CHECK_=2 MALLOC_PERTURB_=$$(($${RANDOM:-256} % 256)) ${GTESTER} --verbose ${TEST_PROGS}
1530 @OS_UNIX_FALSE@test-nonrecursive:
1531
1532 .PHONY: test-nonrecursive
1533
1534 .PHONY: lcov genlcov lcov-clean
1535 # use recursive makes in order to ignore errors during check
1536 lcov:
1537         -$(MAKE) $(AM_MAKEFLAGS) -k check
1538         $(MAKE) $(AM_MAKEFLAGS) genlcov
1539
1540 # we have to massage the lcov.info file slightly to hide the effect of libtool
1541 # placing the objects files in the .libs/ directory separate from the *.c
1542 # we also have to delete tests/.libs/libmoduletestplugin_*.gcda
1543 genlcov:
1544         $(AM_V_GEN) rm -f $(top_builddir)/tests/.libs/libmoduletestplugin_*.gcda; \
1545           $(LTP) --quiet --directory $(top_builddir) --capture --output-file glib-lcov.info --test-name GLIB_PERF --no-checksum --compat-libtool --ignore-errors source; \
1546           $(LTP) --quiet --output-file glib-lcov.info --remove glib-lcov.info docs/reference/\* /tmp/\*  gio/tests/gdbus-object-manager-example/\* ; \
1547           LANG=C $(LTP_GENHTML) --quiet --prefix $(top_builddir) --output-directory glib-lcov --title "GLib Code Coverage" --legend --frames --show-details glib-lcov.info --ignore-errors source
1548         @echo "file://$(abs_top_builddir)/glib-lcov/index.html"
1549
1550 lcov-clean:
1551         if test -n "$(LTP)"; then \
1552           $(LTP) --quiet --directory $(top_builddir) -z; \
1553         fi
1554
1555 # run tests in cwd as part of make check
1556 check-local: test-nonrecursive
1557
1558 @ENABLE_INSTALLED_TESTS_TRUE@%.test: %$(EXEEXT) Makefile
1559 @ENABLE_INSTALLED_TESTS_TRUE@   $(AM_V_GEN) (echo '[Test]' > $@.tmp; \
1560 @ENABLE_INSTALLED_TESTS_TRUE@   echo 'Type=session' >> $@.tmp; \
1561 @ENABLE_INSTALLED_TESTS_TRUE@   echo 'Exec=$(installed_testdir)/$(notdir $<)' >> $@.tmp; \
1562 @ENABLE_INSTALLED_TESTS_TRUE@   mv $@.tmp $@)
1563
1564 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1565 # Otherwise a system limit (for SysV at least) may be exceeded.
1566 .NOEXPORT: